Skip to main content
GET
/
api
/
v1
/
school
/
student-promotion-history
List Promotion History
curl --request GET \
  --url https://api.example.com/api/v1/school/student-promotion-history/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "promotion_execution": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "student": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_session_class": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action": "pending",
      "boarding_status": "Boarding",
      "decided_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "execution_date": null,
      "student_name": "<string>",
      "source_class_name": "<string>",
      "destination_session_class": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destination_class_name": "<string>",
      "decided_by_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

action
enum<string>
  • pending - Pending
  • promote - Promote
  • repeat - Repeat
  • transfer - Transfer
  • graduate - Graduate
  • drop_out - Drop Out
Available options:
drop_out,
graduate,
pending,
promote,
repeat,
transfer
boarding_status
enum<string>
  • Boarding - Boarding
  • Day - Day
Available options:
Boarding,
Day
decided_by
string<uuid>
destination_session_class
string<uuid>
ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

promotion_execution
string<uuid>

A search term.

source_session_class
string<uuid>
student
string<uuid>

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"